package ejbs;

import javax.annotation.security.PermitAll;
import javax.annotation.security.RolesAllowed;
import javax.ejb.*;

@Stateless
public class StatelessEJBBean implements StatelessEJB, java.io.Serializable {
	static final long serialVersionUID = 3;
	
	@PermitAll
	public String anonymousMethod() {
		return "You called the anonymous method";
	}
	 @RolesAllowed({"RegularUser"})
	public String userMethod() {
		return "You called the user method";
	}
	@RolesAllowed({"AdminUser"})
	public String adminMethod() {
		return "You called the admin method";
	}
}
